package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.base.entity.CanteenOutsourcerBalance;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CanteenOutsourcerBalanceDAO {
	int insert(CanteenOutsourcerBalance entity);
	int update(CanteenOutsourcerBalance entity);
	int exist(String id);
	CanteenOutsourcerBalance get(String id);
	int delete(String id);
	List<CanteenOutsourcerBalance> list();
	CanteenOutsourcerBalance findByPersonId(long personId);
	List<CanteenOutsourcerBalance> search(Map<String,Object> searchParams,List<Sort> sortList);
}